local HorseTraders = ...;
local multiplier = 3;

HorseTraders:log("Starting Davenport trader update");

HorseTraders:register({
    DataType = "TRADING_VILLAGE",

    Id = "VILLAGE_DAVENPORT_STRONG",
    VillageName = "Davenport - Strong traders",

    ResourceTradingReplenishDelay = 0.8,
    Allegeance = "LABOUR",

    UnlockCost = {
        { Resource = "BREAD", Quantity = 200 },
        { Resource = "GOLD", Quantity = 1500 },
    },

    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "GRAPES", Quantity = 30 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 10 },
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 20 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		},
        {
            ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 40 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "SWORD", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 50 }
        },
        {
            ResourceMaxAmount = { Resource = "BREAD", Quantity = 30 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        }
    },
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "FISH", Quantity = 30 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 4 }
        },
        {
            ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "HONEY", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BARREL", Quantity = 50 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        }
    }
});
