local HorseTraders = ...;
local multiplier = 3;

HorseTraders:log("Starting Northbury trader update");

HorseTraders:register({
    DataType = "TRADING_VILLAGE",

    Id = "VILLAGE_NORTHBURY_STRONG",
    VillageName = "Northbury - Strong traders",

    ResourceTradingReplenishDelay = 0.8,
    Allegeance = "LABOUR",

    UnlockCost = {
        { Resource = "PLANK", Quantity = 200 },
        { Resource = "GOLD", Quantity = 1500 },
    },

    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 20 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 40 },
		},
		{
			ResourceMaxAmount = { Resource = "GLASS", Quantity = 20 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 50 }
		},
        {
            ResourceMaxAmount = { Resource = "TOOL", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "BARREL", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 40 }
        },
        {
            ResourceMaxAmount = { Resource = "FISH", Quantity = 30 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        }
    },
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BERRIES", Quantity = 30 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 4 }
        },
        {
            ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 6 }
        },
        {
            ResourceMaxAmount = { Resource = "PLANK", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 5 }
        },
        {
            ResourceMaxAmount = { Resource = "WINE", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 120 }
        }
    }
});
